Permalink
Browse files

product.el, apel-ver.el, time-stamp.el, and timezone.el are version-d…

…ependent.
  • Loading branch information...
1 parent 429c568 commit 3548cdd7c3daa4de7bf110f4348afba2f3642dc2 shuhei committed Dec 22, 1999
Showing with 25 additions and 30 deletions.
  1. +2 −26 APEL-ELS
  2. +23 −4 EMU-ELS
View
@@ -6,38 +6,14 @@
;;; Code:
-(defvar apel-modules '(product apel-ver
- alist calist path-util filename install
+(defvar apel-modules '(alist calist path-util filename install
;; "mule-caesar" is version-dependent.
;; moved to EMU-ELS.
;; mule-caesar
;; [obsoleted modules] If you would like to
;; install following, please activate them.
;; atype file-detect
- ))
-
-(if (or (< emacs-major-version 19)
- (and (eq emacs-major-version 19) (< emacs-minor-version 16)))
- (setq apel-modules (cons 'time-stamp apel-modules))
- )
-
-(condition-case nil
- (let ((load-path (delete (expand-file-name ".")
- (copy-sequence load-path))))
- ;; v18 does not have timezone.el.
- (require 'timezone)
- ;; Is timezone.el APEL version?
- (if (product-find 'timezone)
- (error "timezone.el is APEL version. Install newer version."))
- ;; Y2K test.
- (or (string= (aref (timezone-parse-date "Sat, 1 Jan 00 00:00:00 GMT")
- 0)
- "2000")
- (error "timezone.el has Y2K problem. Install fixed version."))
- ;; another test here.
- )
- (error
- (setq apel-modules (cons 'timezone apel-modules))))
+ ))
;;; APEL-ELS ends here
View
@@ -16,8 +16,9 @@
(nconc
;; modules are sorted by compilation order.
'(static broken)
- ;; coming soon.
- ;; '(product)
+
+ ;; product information.
+ '(product apel-ver)
;; poe modules; poe modules depend on static.
'(pym)
@@ -148,10 +149,28 @@
(or (< emacs-major-version 19)
(and (= emacs-major-version 19)
(< emacs-minor-version 16))))
- '(time-stamp))
+ '(time-stamp)
+ ;; no problem.
+ '())
;; timezone.el; Some versions have Y2K problem.
- ;; coming soon.
+ (condition-case nil
+ (let ((load-path (delete (expand-file-name ".")
+ (copy-sequence load-path))))
+ ;; v18 does not have timezone.el.
+ (require 'timezone)
+ ;; Is timezone.el APEL version?
+ (if (product-find 'timezone)
+ (error "timezone.el is APEL version. Install newer version."))
+ ;; Y2K test.
+ (or (string= (aref (timezone-parse-date "Sat, 1 Jan 00 00:00:00 GMT")
+ 0)
+ "2000")
+ (error "timezone.el has Y2K problem. Install fixed version."))
+ ;; no problem.
+ '())
+ (error
+ '(timezone)))
;; invisible modules; provided for backward compatibility with old "tm".
(cond

0 comments on commit 3548cdd

Please sign in to comment.